import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import React from 'react'
import '../OptionsView.scss'

declare let __PIWIK_TRACKER_URL__: string

const MatomoOptOut = () => {
  const { t } = useI18n()
  const baseUrl = __PIWIK_TRACKER_URL__

  return (
    <div className="styled-card-root">
      <div className="styled-card-content">
        <div className="styled-card-header text-16-normal-uppercase">
          {t('matomo.matomo_title')}
        </div>
        <iframe
          sandbox="allow-popups allow-scripts"
          title="opt-out"
          style={{ height: '250px' }}
          className="matomo-content"
          src={`${baseUrl}index.php?module=CoreAdminHome&action=optOut&language=fr&backgroundColor=121212&fontColor=e0e0e0&fontSize=&fontFamily=sans-serif`}
        />
      </div>
    </div>
  )
}

export default MatomoOptOut
