import { ProfileEntity } from 'models'

const profileData: Omit<ProfileEntity, 'id'> = {
  activateHalfHourDate: '0000-01-01T00:00:00.000Z',
  challengeHash: '',
  customPopupDate: '0000-01-01T00:00:00.000Z',
  duelHash: '',
  ecogestureHash: '',
  explorationHash: '',
  haveSeenEcogestureModal: false,
  haveSeenLastAnalysis: true,
  isAnalysisReminderEnabled: true,
  isFirstConnection: true,
  isProfileEcogestureCompleted: false,
  isProfileTypeCompleted: false,
  lastConnectionDate: '0000-01-01T00:00:00.000Z',
  mailToken: '',
  monthlyAnalysisDate: '0000-01-01T00:00:00.000Z',
  onboarding: {
    isWelcomeSeen: false,
  },
  partnersIssueSeenDate: {
    enedis: '0000-01-01T00:00:00.000Z',
    egl: '0000-01-01T00:00:00.000Z',
    grdf: '0000-01-01T00:00:00.000Z',
  },
  quizHash: '',
  sendAnalysisNotification: false,
  sendConsumptionAlert: false,
  waterDailyConsumptionLimit: 0,
}

export default profileData
