// eslint-disable-next-line @typescript-eslint/no-restricted-imports
import { useDispatch, useSelector } from 'react-redux'
import { AppDispatch, AppState } from './store'

// Typed hooks
// https://redux.js.org/tutorials/typescript-quick-start#define-typed-hooks

export const useAppDispatch = useDispatch.withTypes<AppDispatch>()
export const useAppSelector = useSelector.withTypes<AppState>()
